﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class PlayerHealth : MonoBehaviour {

    public int maxHealth = 100;

    public int currentHealth = 100;
    private bool alive = true;
    public Scrollbar healthbar;


	// Update is called once per frame
	void Update () {
        if (alive && currentHealth <= 0)
        {
            Debug.Log("Player " + name + " dead.");
        }
	}

    public int getCurrentHealth()
    {
        return currentHealth;
    }

    /// <summary>
    /// Setzt Gesundheit auf bestimmten Wert, aber nicht mehr als maxHealth von dem Player.
    /// </summary>
    /// <param name="newHealth"></param>
    public void setHealth(int newHealth)
    {
        currentHealth = (newHealth > maxHealth) ? maxHealth : newHealth;
        updateHealthbar();
    }

    //updated die ui healthbar.
    private void updateHealthbar()
    {
        if (healthbar)
        {
            healthbar.size = (float)currentHealth / (float)maxHealth;
        }
    }

    /// <summary>
    /// Erhöht bzw. erniedrigt aktuelle Gesundheit um Wert h, Gesundheit kann nicht höher werden als maxHealth.
    /// </summary>
    /// <param name="h"></param>
    public void changeHealthBy(int h)
    {
        currentHealth += h;
        if (currentHealth > maxHealth) currentHealth = maxHealth;
        updateHealthbar();
    }

}
